#### PyKDE - Python Bindings for KDE

# class KProcessController |
Table of contents
Modules
kdecore Classes
All Classes

Module | kdecore
Class | KProcessController
Inherits | QObject

### methods

- KProcessController ()

  returns a KProcessController instance
  In versions KDE 3.1.0 and above only

- KProcessController (a0)

  returns a KProcessController instance
  Argument | Type | Default
  --- | --- | ---
  a0 | KProcessController |

- KProcessController ()

  returns a KProcessController instance
  In versions less than KDE 3.1.0 only

- addKProcess (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | KProcess |

- addProcess (pid)

  returns nothing
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  pid | int |

- deref ()

  returns nothing
  In versions KDE 3.2.0 and above only
  static

- notifierFd ()

  returns (int)
  In versions KDE 3.2.0 and above only

- ref ()

  returns nothing
  In versions KDE 3.2.0 and above only
  static

- removeKProcess (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | KProcess |

- rescheduleCheck ()

  returns nothing
  In versions KDE 3.2.0 and above only

- resetHandlers ()

  returns nothing
  In versions less than KDE 3.2.0 only
  static

- setupHandlers ()

  returns nothing
  In versions less than KDE 3.2.0 only
  static

- slotDoHousekeeping (a0)

  returns nothing
  In versions less than KDE 3.2.0 only
  Argument | Type | Default
  --- | --- | ---
  a0 | int |

- theSigCHLDHandler (signal)

  returns nothing
  static
  Argument | Type | Default
  --- | --- | ---
  signal | int |

- unscheduleCheck ()

  returns nothing
  In versions KDE 3.2.0 and above only

- waitForProcessExit (timeout)

  returns (bool)
  In versions KDE 3.0.3 and above only
  Argument | Type | Default
  --- | --- | ---
  timeout | int |

- ~KProcessController ()

  returns nothing

### variables

- variables

  Variable | Type
  --- | ---
  theKProcessController | KProcessController*